org.apache.cayenne.tx

## Class ExternalTransaction

- java.lang.Object
- - org.apache.cayenne.tx.BaseTransaction
  - - org.apache.cayenne.tx.ExternalTransaction

- All Implemented Interfaces:
    Transaction

      public class ExternalTransaction
      extends BaseTransaction

  Represents a container-managed transaction.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JdbcEventLogger` | `logger`

    - ### Fields inherited from class org.apache.cayenne.tx.BaseTransaction

      `connections, defaultIsolationLevel, descriptor, listeners, status, STATUS_ACTIVE, STATUS_COMMITTED, STATUS_COMMITTING, STATUS_MARKED_ROLLEDBACK, STATUS_NO_TRANSACTION, STATUS_ROLLEDBACK, STATUS_ROLLING_BACK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalTransaction(JdbcEventLogger jdbcEventLogger)`
    `ExternalTransaction(JdbcEventLogger jdbcEventLogger, TransactionDescriptor descriptor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isExternal()` Is this transaction managed by external transaction manager
    `protected void` | `processCommit()`
    `protected void` | `processRollback()`

    - ### Methods inherited from class org.apache.cayenne.tx.BaseTransaction

      `addConnection, addListener, begin, bindThreadTransaction, close, commit, connectionAdded, getConnections, getExistingConnection, getOrCreateConnection, getThreadTransaction, isRollbackOnly, rollback, setRollbackOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected JdbcEventLogger logger

  - ### Constructor Detail

    - #### ExternalTransaction

          public ExternalTransaction(JdbcEventLogger jdbcEventLogger)

    - #### ExternalTransaction

          public ExternalTransaction(JdbcEventLogger jdbcEventLogger,
                                     TransactionDescriptor descriptor)

      Since:
        4.1

  - ### Method Detail

    - #### processCommit

          protected void processCommit()

      Specified by:
        `processCommit` in class `BaseTransaction`

    - #### processRollback

          protected void processRollback()

      Specified by:
        `processRollback` in class `BaseTransaction`

    - #### isExternal

          public boolean isExternal()

      Description copied from interface: `Transaction`
      Is this transaction managed by external transaction manager

Copyright © 2001–2021 Apache Cayenne. All rights reserved.